# RePod Nextcloud App

This Nextcloud app lets you visualize, manage and play your favorite podcasts.

You need to have [GPodderSync](https://apps.nextcloud.com/apps/gpoddersync) installed to use this app!

## Features

- Browse podcasts and play them directly in Nextcloud
- Keep track of subscribed shows and episodes
- Sync them with GPodderSync compatible clients
- Import and export subscriptions
- Mobile friendly interface
- Unified search integration

## Comparaison with similar apps for Nextcloud

| | [RePod](https://apps.nextcloud.com/apps/repod) | [NextPod](https://apps.nextcloud.com/apps/nextpod) | [Music](https://apps.nextcloud.com/apps/music) | [Podcast](https://apps.nextcloud.com/apps/podcast) |
| --- | --- | --- | --- | --- |
| Actively maintened | ✅ | ✅ | ✅ | ❌ |
| Play your local music files | ❌ | ❌ | ✅ | ❌ |
| Sync with [GPodder clients](#clients-supporting-sync-of-gpoddersync) | ✅ | ✅ | ❌ | ❌ |
| Add and manage subscriptions | ✅ | ❌ | ✅ | ✅ |
| Listen synced episodes by another clients | ✅ | ✅ | ❌ | ❌ |
| Fetch and listen new epidodes | ✅ | ❌ | ✅ | ✅ |
| Keep track of listened episodes | ✅ | ✅ | ❌ | ✅ |
| Download epidodes | ✅ | ✅ | ❌ | ✅ |
| Import and export subscriptions | ✅ | ❌ | ❌ | ❌ |
| Search and discover new podcasts | ✅ | ❌ | ❌ | ✅ |
| Open episode website and RSS feed | ✅ | ✅ | ❌ | ✅ |
| Integrate with Nextcloud search engine | ✅ | ❌ | ❌ | ✅ |
| Integrate with [Nextcloud Notes](https://apps.nextcloud.com/apps/notes) | ❌ | ✅ | ❌ | ❌ |
| Mobile friendly interface | ✅ | ❌ | ✅ | ✅ |
| Support chapters | ❌ | ❌ | ❌ | ✅ |
| Available in multiple languages | ⭕ (en/fr/de) | ❌ | ✅ | ⭕ (en/de) |

## Screenshots

### Homepage
![homepage](./screens/index.png)

### Discover
![homepage](./screens/discover.png)

### Search
![search](./screens/search.png)

### Episode list
![episodes](./screens/episodes.png)

### Episode description
![modal](./screens/modal.png)

## Clients supporting sync of GPodderSync

| client | support status |
| :- | :- |
| [AntennaPod](https://antennapod.org) | Initial purpose for this project, as a synchronization endpoint for this client.<br> Support is available [as of version 2.5.1](https://github.com/AntennaPod/AntennaPod/pull/5243/). |
| [KDE Kasts](https://apps.kde.org/de/kasts/) | Supported since version 21.12 |
| [Podcast Merlin](https://github.com/yoyoooooooooo/Podcast-Merlin--Nextcloud-Gpodder-Client-For-Windows) | Full sync support podcast client for Windows |
| [Cardo](https://n0vella.github.io/#/cardo) | Podcast client with sync support, for Windows, Mac and Linux |

## Installation

Either from the official Nextcloud [app store](https://apps.nextcloud.com/apps/repod) or by downloading the [latest release](https://git.crystalyx.net/Xefir/repod/releases/latest) and extracting it into your Nextcloud `apps/` directory.

## Credits

- [GPodder Sync](https://github.com/thrillfall/nextcloud-gpodder) for the database API
- [Nextcloud Podcast](https://git.project-insanity.org/onny/nextcloud-app-podcast) for the basic UI ideas
- [NextPod](https://github.com/pbek/nextcloud-nextpod) for thier custom feed extraction code
