import type { EpisodeInterface } from './types'

export const hasEnded = (episode: EpisodeInterface) =>
	episode.action &&
	episode.action.action &&
	(episode.action.action.toLowerCase() === 'delete' ||
		(episode.action.position > 0 &&
			episode.action.total > 0 &&
			episode.action.position >= episode.action.total))

export const isListening = (episode: EpisodeInterface) =>
	episode.action &&
	episode.action.action &&
	episode.action.action.toLowerCase() === 'play' &&
	episode.action.position > 0 &&
	!hasEnded(episode)
